[arch-commits] CVS update of extra/gnome/evolution-exchange (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Apr 22 11:53:37 EDT 2007


    Date: Sunday, April 22, 2007 @ 11:53:37
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/evolution-exchange

Modified: PKGBUILD (1.17 -> 1.18)

upgpkg: evolution-exchange 2.10.1-2
Move to /usr


----------+
 PKGBUILD |   20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)


Index: extra/gnome/evolution-exchange/PKGBUILD
diff -u extra/gnome/evolution-exchange/PKGBUILD:1.17 extra/gnome/evolution-exchange/PKGBUILD:1.18
--- extra/gnome/evolution-exchange/PKGBUILD:1.17	Mon Apr  9 15:40:00 2007
+++ extra/gnome/evolution-exchange/PKGBUILD	Sun Apr 22 11:53:37 2007
@@ -1,26 +1,30 @@
-# $Id: PKGBUILD,v 1.17 2007/04/09 19:40:00 jgc Exp $
+# $Id: PKGBUILD,v 1.18 2007/04/22 15:53:37 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=evolution-exchange
 pkgver=2.10.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Ximian Connector Exchange plugin for Evolution"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.ximian.com"
-depends=('evolution-data-server>=1.10.1' 'libgnomeprint>=2.18.0' 'libgnomeui>=2.18.1')
-makedepends=('perlxml' 'pkgconfig' 'evolution')
+depends=('evolution-data-server>=1.10.1-2' 'libgnomeprint>=2.18.0' 'libgnomeui>=2.18.1-2')
+makedepends=('perlxml' 'pkgconfig' 'evolution>=2.10.1-2')
 replaces=('ximian-connector')
 conflicts=('ximian-connector')
 options=('nolibtool')
+install=evolution-exchange.install
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.10/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('3457a46a0450737d83f1c74e97c89b8f')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
-  
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/opt/gnome
-  make LDFLAGS="-R /opt/gnome/lib/evolution/2.10" || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+             --libexecdir=/var
+  make || return 1
   make DESTDIR=${startdir}/pkg install
+
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list